Bug 537563 - (mingw32-plib) Review Request: mingw32-plib - Fedora mingw set of portable game related libraries
Review Request: mingw32-plib - Fedora mingw set of portable game related libr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-14 07:54 EST by Stefan Riemens
Modified: 2009-12-21 04:28 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.8.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 04:28:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stefan Riemens 2009-11-14 07:54:51 EST
Spec URL: http://riemens.org/fs/mingw32-plib.spec
SRPM URL: http://riemens.org/fs/mingw32-plib-1.8.5-0.fc12.src.rpm

Description:
This is a set of OpenSource (LGPL) libraries that will permit programmers
to write games and other realtime interactive applications that are 100%
portable across a wide range of hardware and operating systems. Here is
what you need - it's all free and available with LGPL'ed source code on
the web. All of it works well together.

This is the fedora mingw cross-compiled version

rpmlint output:
mingw32-plib.src: W: macro-in-%description %{_mingw32_description}
I believe this one can be safely ignored

mingw32-plib-debuginfo.noarch: E: empty-debuginfo-package
I'm not sure what to think of this one...

mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsm.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpsl.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibul.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssg.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibnet.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsl.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibjs.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpw.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpuaux.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsg.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibfnt.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpu.a
mingw32-plib-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssgaux.a
4 packages and 0 specfiles checked; 14 errors, 1 warnings.
These can all be ignored, as they are normal for static mingw packages

Mingw packaging guidelines: http://fedoraproject.org/wiki/Packaging/MinGW

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1806163

PS, I'm still in need of a sponsor...
Comment 1 Stefan Riemens 2009-11-14 07:59:07 EST
I forgot to mention that these binaries work fine with a x-compiled flightgear....

Stefan
Comment 2 Stefan Riemens 2009-11-17 12:19:07 EST
My other review request (posted because I need a sponsor):
https://bugzilla.redhat.com/show_bug.cgi?id=529423

thanks,
Stefan
Comment 3 Peter Lemenkov 2009-11-25 05:10:13 EST
Unblocking FE-NEEDSPONSOR - I just sponsored Stefan.
Comment 4 Peter Lemenkov 2009-11-25 06:46:07 EST
I'll review it.
Comment 5 Peter Lemenkov 2009-11-25 06:59:37 EST
Notes:

* Why not to drop static libraries completely?

Other things looks sane.

+ rpmlint is not silent, but all these messages are just false positive and may be ignored.

[petro@Workplace Desktop]$ rpmlint mingw32-plib-1.8.5-0.fc12.noarch.rpm 
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsg.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsl.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpu.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibjs.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibfnt.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssg.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibul.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssgaux.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpuaux.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpw.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsm.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibnet.dll.a
mingw32-plib.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpsl.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsg.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsg.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsl.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsl.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/netSocket.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssg.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/sg.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/pu.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/puAux.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/puGLUT.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/net.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/psl.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/sm.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgAux.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/puNative.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpu.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpu.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibjs.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibjs.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgconf.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/pw.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaWaveSystem.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaBillboards.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibfnt.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibfnt.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/netMonitor.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/puAuxLocal.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/puFLTK.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgKeyFlier.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/netMessage.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/netBuffer.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/fnt.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaShapes.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssg.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssg.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ulRTTI.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibul.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibul.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssgaux.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibssgaux.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/netChannel.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ul.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpuaux.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpuaux.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpw.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpw.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaLensFlare.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaParticleSystem.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/sl.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsm.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibsm.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/js.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/netChat.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/puPW.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaFire.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgMSFSPalette.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaSphere.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaScreenDump.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/pcx.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/ssgaSky.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibnet.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibnet.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/slPortability.h
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpsl.dll.a
mingw32-plib.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libplibpsl.dll.a
mingw32-plib.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/plib/puSDL.h
mingw32-plib.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
1 packages and 0 specfiles checked; 13 errors, 67 warnings.
[petro@Workplace Desktop]$

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum plib-1.8.5.tar.gz*
485b22bf6fdc0da067e34ead5e26f002b76326f6371e2ae006415dea6a380a32  plib-1.8.5.tar.gz
485b22bf6fdc0da067e34ead5e26f002b76326f6371e2ae006415dea6a380a32  plib-1.8.5.tar.gz.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1830025

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No need to run ldconfig for mingw32 libraries.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No need to separate header files from main package for mingw32-related package.
+ Static libraries are packaged separately.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No need in creating devel sub-package (see note about header files above)
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.
Comment 6 Stefan Riemens 2009-11-25 07:49:26 EST
Thanks for the review! (also for osg)

Regarding the static packages: I like the ability to just create a single binary and take that with me, knowing it will work on just about any computer a happen to need to work with. Besides, a lot of other mingw packages ship static subpackages as well.
Comment 7 Peter Lemenkov 2009-11-25 13:17:00 EST
In fact I have no strong opinion whether we need to provide static libraries for mingw, so I won't insist here.

OK, this package is


APPROVED.
Comment 8 Stefan Riemens 2009-11-26 05:46:04 EST
New Package CVS Request
=======================
Package Name: mingw32-plib
Short Description: Fedora mingw set of portable game related libraries
Owners: stefanriemens
Branches: F-12
InitialCC:
Comment 9 Kevin Fenzi 2009-11-27 00:53:22 EST
cvs done.
Comment 10 Stefan Riemens 2009-11-27 05:16:26 EST
Thanks!
Comment 11 Fedora Update System 2009-11-27 12:04:23 EST
mingw32-plib-1.8.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mingw32-plib-1.8.5-0.fc12
Comment 12 Fedora Update System 2009-11-30 23:26:08 EST
mingw32-plib-1.8.5-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-plib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12383

Note You need to log in before you can comment on or make changes to this bug.